Loading...
Searching...
No Matches
Opm::Fieldprops::FieldData< T > Struct Template Reference

## Public Member Functions

bool | operator== (const FieldData &other) const
| FieldData (const keywords::keyword_info< T > &info, const std::size_t active_size, const std::size_t global_size)
std::size_t | numCells () const
std::size_t | dataSize () const
std::size_t | numValuePerCell () const
bool | valid () const
bool | valid_default () const
void | compress (const std::vector< bool > &active_map)
void | checkInitialisedCopy (const FieldData &src, const std::vector< Box::cell_index > &index_list, const std::string &from, const std::string &to, const KeywordLocation &loc, const bool global=false)
void | default_assign (T value)
void | default_assign (const std::vector< T > &src)
void | default_assign_global (const std::vector< T > &src)
void | update_local_from_global (std::function< std::size_t(std::size_t)> local_to_global)
void | default_update (const std::vector< T > &src)
void | update (const std::size_t index, T value, const value::status status)

## Public Attributes

std::vector< T > | data {}
std::vector< value::status > | value_status {}
keywords::keyword_info< T > | kw_info {}
std::optional< std::vector< T > > | global_data {}
std::optional< std::vector< value::status > > | global_value_status {std::nullopt}
bool | all_set {false}

The documentation for this struct was generated from the following files:

- opm/input/eclipse/EclipseState/Grid/FieldData.hpp
- opm/input/eclipse/EclipseState/Grid/FieldData.cpp